View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/webkit
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2018-03-16 10:11:17 UTC 2018-03-16
DSC file for 1.10.2-0ubuntu4

Author: Ubuntu Git Importer
Author Date: 2018-03-16 10:11:17 UTC

DSC file for 1.10.2-0ubuntu4

importer/ubuntu/pristine-tar 2018-03-16 10:09:03 UTC 2018-03-16
pristine-tar data for webkit_1.10.2.orig.tar.xz

Author: Ubuntu Git Importer
Author Date: 2018-03-16 10:09:03 UTC

pristine-tar data for webkit_1.10.2.orig.tar.xz

importer/debian/dsc 2018-03-16 08:00:18 UTC 2018-03-16
DSC file for 1.8.1-4

Author: Ubuntu Git Importer
Author Date: 2018-03-16 08:00:18 UTC

DSC file for 1.8.1-4

importer/debian/pristine-tar 2018-03-16 07:58:14 UTC 2018-03-16
pristine-tar data for webkit_1.9.2.orig.tar.xz

Author: Ubuntu Git Importer
Author Date: 2018-03-16 07:58:14 UTC

pristine-tar data for webkit_1.9.2.orig.tar.xz

ubuntu/devel 2014-03-16 00:28:26 UTC 2014-03-16
Import patches-unapplied version 1.10.2-0ubuntu4 to ubuntu/trusty-proposed

Author: Dimitri John Ledkov
Author Date: 2014-03-15 23:47:47 UTC

Import patches-unapplied version 1.10.2-0ubuntu4 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: b9d765bb9233ae9b82c8b3e5bd77e57862fa2acd

New changelog entries:
  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.

ubuntu/trusty-devel 2014-03-16 00:28:26 UTC 2014-03-16
Import patches-unapplied version 1.10.2-0ubuntu4 to ubuntu/trusty-proposed

Author: Dimitri John Ledkov
Author Date: 2014-03-15 23:47:47 UTC

Import patches-unapplied version 1.10.2-0ubuntu4 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: b9d765bb9233ae9b82c8b3e5bd77e57862fa2acd

New changelog entries:
  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.

ubuntu/trusty-proposed 2014-03-16 00:28:26 UTC 2014-03-16
Import patches-unapplied version 1.10.2-0ubuntu4 to ubuntu/trusty-proposed

Author: Dimitri John Ledkov
Author Date: 2014-03-15 23:47:47 UTC

Import patches-unapplied version 1.10.2-0ubuntu4 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: b9d765bb9233ae9b82c8b3e5bd77e57862fa2acd

New changelog entries:
  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.

applied/ubuntu/trusty-devel 2014-03-16 00:28:26 UTC 2014-03-16
Import patches-applied version 1.10.2-0ubuntu4 to applied/ubuntu/trusty-proposed

Author: Dimitri John Ledkov
Author Date: 2014-03-15 23:47:47 UTC

Import patches-applied version 1.10.2-0ubuntu4 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 0ef2fa27221df4e11aede974ec0e5bcebe6cea9d
Unapplied parent: 3cdf99dc2249871961a8c9529324b8046651a66b

New changelog entries:
  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.

applied/ubuntu/devel 2014-03-16 00:28:26 UTC 2014-03-16
Import patches-applied version 1.10.2-0ubuntu4 to applied/ubuntu/trusty-proposed

Author: Dimitri John Ledkov
Author Date: 2014-03-15 23:47:47 UTC

Import patches-applied version 1.10.2-0ubuntu4 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 0ef2fa27221df4e11aede974ec0e5bcebe6cea9d
Unapplied parent: 3cdf99dc2249871961a8c9529324b8046651a66b

New changelog entries:
  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.

applied/ubuntu/trusty-proposed 2014-03-16 00:28:26 UTC 2014-03-16
Import patches-applied version 1.10.2-0ubuntu4 to applied/ubuntu/trusty-proposed

Author: Dimitri John Ledkov
Author Date: 2014-03-15 23:47:47 UTC

Import patches-applied version 1.10.2-0ubuntu4 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 0ef2fa27221df4e11aede974ec0e5bcebe6cea9d
Unapplied parent: 3cdf99dc2249871961a8c9529324b8046651a66b

New changelog entries:
  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.

applied/ubuntu/saucy-updates 2013-12-12 21:03:21 UTC 2013-12-12
Import patches-applied version 1.10.2-0ubuntu3 to applied/ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-12-12 09:40:49 UTC

Import patches-applied version 1.10.2-0ubuntu3 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 1b2d015ae81b3ebb8eecf337bb63b8c39c166449
Unapplied parent: 0bf04fb0c3547d5d5bf68d0754e9a6611535e9e2

New changelog entries:
  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)

applied/ubuntu/saucy-proposed 2013-12-12 21:03:21 UTC 2013-12-12
Import patches-applied version 1.10.2-0ubuntu3 to applied/ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-12-12 09:40:49 UTC

Import patches-applied version 1.10.2-0ubuntu3 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 1b2d015ae81b3ebb8eecf337bb63b8c39c166449
Unapplied parent: 0bf04fb0c3547d5d5bf68d0754e9a6611535e9e2

New changelog entries:
  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)

applied/ubuntu/saucy-devel 2013-12-12 21:03:21 UTC 2013-12-12
Import patches-applied version 1.10.2-0ubuntu3 to applied/ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-12-12 09:40:49 UTC

Import patches-applied version 1.10.2-0ubuntu3 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 1b2d015ae81b3ebb8eecf337bb63b8c39c166449
Unapplied parent: 0bf04fb0c3547d5d5bf68d0754e9a6611535e9e2

New changelog entries:
  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)

ubuntu/saucy-updates 2013-12-12 21:03:21 UTC 2013-12-12
Import patches-unapplied version 1.10.2-0ubuntu3 to ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-12-12 09:40:49 UTC

Import patches-unapplied version 1.10.2-0ubuntu3 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 58877fa7445a67e6760af7e5c83b5c22893fbcba

New changelog entries:
  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)

ubuntu/saucy-proposed 2013-12-12 21:03:21 UTC 2013-12-12
Import patches-unapplied version 1.10.2-0ubuntu3 to ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-12-12 09:40:49 UTC

Import patches-unapplied version 1.10.2-0ubuntu3 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 58877fa7445a67e6760af7e5c83b5c22893fbcba

New changelog entries:
  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)

ubuntu/saucy-devel 2013-12-12 21:03:21 UTC 2013-12-12
Import patches-unapplied version 1.10.2-0ubuntu3 to ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-12-12 09:40:49 UTC

Import patches-unapplied version 1.10.2-0ubuntu3 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 58877fa7445a67e6760af7e5c83b5c22893fbcba

New changelog entries:
  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)

ubuntu/saucy 2013-10-12 19:43:22 UTC 2013-10-12
Import patches-unapplied version 1.10.2-0ubuntu2 to ubuntu/saucy-proposed

Author: Colin Watson
Author Date: 2013-10-12 19:27:47 UTC

Import patches-unapplied version 1.10.2-0ubuntu2 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 546eb46c6c479f0c98b4ba3eab9ddd1302185f99

New changelog entries:
  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

ubuntu/trusty 2013-10-12 19:43:22 UTC 2013-10-12
Import patches-unapplied version 1.10.2-0ubuntu2 to ubuntu/saucy-proposed

Author: Colin Watson
Author Date: 2013-10-12 19:27:47 UTC

Import patches-unapplied version 1.10.2-0ubuntu2 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 546eb46c6c479f0c98b4ba3eab9ddd1302185f99

New changelog entries:
  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

applied/ubuntu/saucy 2013-10-12 19:43:22 UTC 2013-10-12
Import patches-applied version 1.10.2-0ubuntu2 to applied/ubuntu/saucy-proposed

Author: Colin Watson
Author Date: 2013-10-12 19:27:47 UTC

Import patches-applied version 1.10.2-0ubuntu2 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: bc2c66d37ca77453ef204951a0a9d0f5a36eefca
Unapplied parent: 0dd03eb997e3c8da9fe13e7ba1d521cca7028633

New changelog entries:
  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

applied/ubuntu/trusty 2013-10-12 19:43:22 UTC 2013-10-12
Import patches-applied version 1.10.2-0ubuntu2 to applied/ubuntu/saucy-proposed

Author: Colin Watson
Author Date: 2013-10-12 19:27:47 UTC

Import patches-applied version 1.10.2-0ubuntu2 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: bc2c66d37ca77453ef204951a0a9d0f5a36eefca
Unapplied parent: 0dd03eb997e3c8da9fe13e7ba1d521cca7028633

New changelog entries:
  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

applied/debian/sid 2013-06-13 16:19:37 UTC 2013-06-13
Import patches-applied version 1.8.1-4 to applied/debian/sid

Author: Emilio Pozuelo Monfort
Author Date: 2013-06-12 19:48:22 UTC

Import patches-applied version 1.8.1-4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: ec6d9edd06bc5ae9b7432d1705134c0a2e0d250c
Unapplied parent: 1d41f6fd14ff95b3802e6ab4032164f22f74019e

New changelog entries:
  * Acknowledge NMUs. Thanks Samuel, Ansgar and Michael!
  * debian/patches/20_mesa-llvmpipe-crash.patch:
    + Backport change from upstream, fixes crashes when running
      mesa llvmpipe drivers. Closes: #711584.
  * debian/patches/25_bison_2.6_ftbfs.patch:
    + Backport change from upstream, fix the build with bison >= 2.6.
  * debian/patches/30_gtkdoc_fixxref_warnings.patch:
    + New patch. Ignore warnings when generating the html documentation.
      The broken links were probably already there in previous builds
      as we don't build depend on the necessary -doc packages. We will
      upload 2.0.x to unstable soonish anyway so no point in fixing
      such minor issues here.

debian/sid 2013-06-13 16:19:37 UTC 2013-06-13
Import patches-unapplied version 1.8.1-4 to debian/sid

Author: Emilio Pozuelo Monfort
Author Date: 2013-06-12 19:48:22 UTC

Import patches-unapplied version 1.8.1-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cb92d7dc6b76f918b128d177b1a444deb486261f

New changelog entries:
  * Acknowledge NMUs. Thanks Samuel, Ansgar and Michael!
  * debian/patches/20_mesa-llvmpipe-crash.patch:
    + Backport change from upstream, fixes crashes when running
      mesa llvmpipe drivers. Closes: #711584.
  * debian/patches/25_bison_2.6_ftbfs.patch:
    + Backport change from upstream, fix the build with bison >= 2.6.
  * debian/patches/30_gtkdoc_fixxref_warnings.patch:
    + New patch. Ignore warnings when generating the html documentation.
      The broken links were probably already there in previous builds
      as we don't build depend on the necessary -doc packages. We will
      upload 2.0.x to unstable soonish anyway so no point in fixing
      such minor issues here.

debian/jessie 2013-06-13 16:19:37 UTC 2013-06-13
Import patches-unapplied version 1.8.1-4 to debian/sid

Author: Emilio Pozuelo Monfort
Author Date: 2013-06-12 19:48:22 UTC

Import patches-unapplied version 1.8.1-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cb92d7dc6b76f918b128d177b1a444deb486261f

New changelog entries:
  * Acknowledge NMUs. Thanks Samuel, Ansgar and Michael!
  * debian/patches/20_mesa-llvmpipe-crash.patch:
    + Backport change from upstream, fixes crashes when running
      mesa llvmpipe drivers. Closes: #711584.
  * debian/patches/25_bison_2.6_ftbfs.patch:
    + Backport change from upstream, fix the build with bison >= 2.6.
  * debian/patches/30_gtkdoc_fixxref_warnings.patch:
    + New patch. Ignore warnings when generating the html documentation.
      The broken links were probably already there in previous builds
      as we don't build depend on the necessary -doc packages. We will
      upload 2.0.x to unstable soonish anyway so no point in fixing
      such minor issues here.

applied/debian/jessie 2013-06-13 16:19:37 UTC 2013-06-13
Import patches-applied version 1.8.1-4 to applied/debian/sid

Author: Emilio Pozuelo Monfort
Author Date: 2013-06-12 19:48:22 UTC

Import patches-applied version 1.8.1-4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: ec6d9edd06bc5ae9b7432d1705134c0a2e0d250c
Unapplied parent: 1d41f6fd14ff95b3802e6ab4032164f22f74019e

New changelog entries:
  * Acknowledge NMUs. Thanks Samuel, Ansgar and Michael!
  * debian/patches/20_mesa-llvmpipe-crash.patch:
    + Backport change from upstream, fixes crashes when running
      mesa llvmpipe drivers. Closes: #711584.
  * debian/patches/25_bison_2.6_ftbfs.patch:
    + Backport change from upstream, fix the build with bison >= 2.6.
  * debian/patches/30_gtkdoc_fixxref_warnings.patch:
    + New patch. Ignore warnings when generating the html documentation.
      The broken links were probably already there in previous builds
      as we don't build depend on the necessary -doc packages. We will
      upload 2.0.x to unstable soonish anyway so no point in fixing
      such minor issues here.

applied/debian/wheezy 2013-02-19 10:21:59 UTC 2013-02-19
Import patches-applied version 1.8.1-3.4 to applied/debian/sid

Author: Michael Gilbert
Author Date: 2013-02-16 21:46:48 UTC

Import patches-applied version 1.8.1-3.4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: fd5296c711ef902b2e42564e52187bf87b115318
Unapplied parent: 6dc5c3f041669cfc58ec8334ad16707ca5ec8aa8

New changelog entries:
  * Non-maintainer upload.
  * Fix wide pointer issues on ia64 (closes: #642750).
  * Make favicon database thread-safe (closes: #697172).
  * Support architectures with large page sizes (closes: #694971).
  * Compile with --disable-jit on armel, mipsel, and powerpc (closes: #651636).

debian/wheezy 2013-02-19 10:21:59 UTC 2013-02-19
Import patches-unapplied version 1.8.1-3.4 to debian/sid

Author: Michael Gilbert
Author Date: 2013-02-16 21:46:48 UTC

Import patches-unapplied version 1.8.1-3.4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: afc7879f868635d75ce0640339b4275a3a5034a3

New changelog entries:
  * Non-maintainer upload.
  * Fix wide pointer issues on ia64 (closes: #642750).
  * Make favicon database thread-safe (closes: #697172).
  * Support architectures with large page sizes (closes: #694971).
  * Compile with --disable-jit on armel, mipsel, and powerpc (closes: #651636).

applied/ubuntu/quantal-proposed 2012-12-17 09:03:13 UTC 2012-12-17
Import patches-applied version 1.10.2-0ubuntu0.12.10.1 to applied/ubuntu/quan...

Author: Micah Gersten
Author Date: 2012-12-13 03:54:24 UTC

Import patches-applied version 1.10.2-0ubuntu0.12.10.1 to applied/ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: 9092b204c7aaf4c08b536db35195a13014eab0fe
Unapplied parent: 72dbf870c41ccf99cc528f5f718b7408ec20a7a9

New changelog entries:
  * New upstream stable release
    - see LP: #1089754 for USN information
  * Drop patch included in new upstream version
    - drop debian/patches/03_a11y_infinite_recursion.patch
    - update debian/patches/series
  * Changes backported from raring to support this new version; Thanks
    to Iain Lane for the changes in raring
    + Remove make versioned BD as the library has now been split up which means
      that we don't produce archives over 4G any more.
    + Fix symbol files
    + Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
      in implicitly before, but the build system checks for them directly.

applied/ubuntu/quantal-devel 2012-12-17 09:03:13 UTC 2012-12-17
Import patches-applied version 1.10.2-0ubuntu0.12.10.1 to applied/ubuntu/quan...

Author: Micah Gersten
Author Date: 2012-12-13 03:54:24 UTC

Import patches-applied version 1.10.2-0ubuntu0.12.10.1 to applied/ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: 9092b204c7aaf4c08b536db35195a13014eab0fe
Unapplied parent: 72dbf870c41ccf99cc528f5f718b7408ec20a7a9

New changelog entries:
  * New upstream stable release
    - see LP: #1089754 for USN information
  * Drop patch included in new upstream version
    - drop debian/patches/03_a11y_infinite_recursion.patch
    - update debian/patches/series
  * Changes backported from raring to support this new version; Thanks
    to Iain Lane for the changes in raring
    + Remove make versioned BD as the library has now been split up which means
      that we don't produce archives over 4G any more.
    + Fix symbol files
    + Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
      in implicitly before, but the build system checks for them directly.

ubuntu/quantal-proposed 2012-12-17 09:03:13 UTC 2012-12-17
Import patches-unapplied version 1.10.2-0ubuntu0.12.10.1 to ubuntu/quantal-pr...

Author: Micah Gersten
Author Date: 2012-12-13 03:54:24 UTC

Import patches-unapplied version 1.10.2-0ubuntu0.12.10.1 to ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: ce8a0cfebe9a792bb7a3cc264bdeb24673fb1bcd

New changelog entries:
  * New upstream stable release
    - see LP: #1089754 for USN information
  * Drop patch included in new upstream version
    - drop debian/patches/03_a11y_infinite_recursion.patch
    - update debian/patches/series
  * Changes backported from raring to support this new version; Thanks
    to Iain Lane for the changes in raring
    + Remove make versioned BD as the library has now been split up which means
      that we don't produce archives over 4G any more.
    + Fix symbol files
    + Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
      in implicitly before, but the build system checks for them directly.

ubuntu/quantal-devel 2012-12-17 09:03:13 UTC 2012-12-17
Import patches-unapplied version 1.10.2-0ubuntu0.12.10.1 to ubuntu/quantal-pr...

Author: Micah Gersten
Author Date: 2012-12-13 03:54:24 UTC

Import patches-unapplied version 1.10.2-0ubuntu0.12.10.1 to ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: ce8a0cfebe9a792bb7a3cc264bdeb24673fb1bcd

New changelog entries:
  * New upstream stable release
    - see LP: #1089754 for USN information
  * Drop patch included in new upstream version
    - drop debian/patches/03_a11y_infinite_recursion.patch
    - update debian/patches/series
  * Changes backported from raring to support this new version; Thanks
    to Iain Lane for the changes in raring
    + Remove make versioned BD as the library has now been split up which means
      that we don't produce archives over 4G any more.
    + Fix symbol files
    + Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
      in implicitly before, but the build system checks for them directly.

ubuntu/raring-devel 2012-12-11 10:03:17 UTC 2012-12-11
Import patches-unapplied version 1.10.2-0ubuntu1 to ubuntu/raring-proposed

Author: Iain Lane
Author Date: 2012-12-11 09:39:18 UTC

Import patches-unapplied version 1.10.2-0ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 8dd3d60b2b470bdb445da4e07c42f012b713c546

New changelog entries:
  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

ubuntu/raring-proposed 2012-12-11 10:03:17 UTC 2012-12-11
Import patches-unapplied version 1.10.2-0ubuntu1 to ubuntu/raring-proposed

Author: Iain Lane
Author Date: 2012-12-11 09:39:18 UTC

Import patches-unapplied version 1.10.2-0ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 8dd3d60b2b470bdb445da4e07c42f012b713c546

New changelog entries:
  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

ubuntu/raring 2012-12-11 10:03:17 UTC 2012-12-11
Import patches-unapplied version 1.10.2-0ubuntu1 to ubuntu/raring-proposed

Author: Iain Lane
Author Date: 2012-12-11 09:39:18 UTC

Import patches-unapplied version 1.10.2-0ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 8dd3d60b2b470bdb445da4e07c42f012b713c546

New changelog entries:
  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

applied/ubuntu/raring 2012-12-11 10:03:17 UTC 2012-12-11
Import patches-applied version 1.10.2-0ubuntu1 to applied/ubuntu/raring-proposed

Author: Iain Lane
Author Date: 2012-12-11 09:39:18 UTC

Import patches-applied version 1.10.2-0ubuntu1 to applied/ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 2a05e81ccb6e2bc776c37f30c3f0affff43eb76b
Unapplied parent: b1ff462e9f7c531cbe91120fcf0c060f86b98d25

New changelog entries:
  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

applied/ubuntu/raring-devel 2012-12-11 10:03:17 UTC 2012-12-11
Import patches-applied version 1.10.2-0ubuntu1 to applied/ubuntu/raring-proposed

Author: Iain Lane
Author Date: 2012-12-11 09:39:18 UTC

Import patches-applied version 1.10.2-0ubuntu1 to applied/ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 2a05e81ccb6e2bc776c37f30c3f0affff43eb76b
Unapplied parent: b1ff462e9f7c531cbe91120fcf0c060f86b98d25

New changelog entries:
  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

applied/ubuntu/raring-proposed 2012-12-11 10:03:17 UTC 2012-12-11
Import patches-applied version 1.10.2-0ubuntu1 to applied/ubuntu/raring-proposed

Author: Iain Lane
Author Date: 2012-12-11 09:39:18 UTC

Import patches-applied version 1.10.2-0ubuntu1 to applied/ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 2a05e81ccb6e2bc776c37f30c3f0affff43eb76b
Unapplied parent: b1ff462e9f7c531cbe91120fcf0c060f86b98d25

New changelog entries:
  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.

ubuntu/quantal-updates 2012-11-27 03:03:25 UTC 2012-11-27
Import patches-unapplied version 1.10.0-0ubuntu1.1 to ubuntu/quantal-proposed

Author: Iain Lane
Author Date: 2012-10-30 13:28:53 UTC

Import patches-unapplied version 1.10.0-0ubuntu1.1 to ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: f499979321e85bb9108bdb0b744aebb7d1f6a99a

New changelog entries:
  * Disable JIT (--disable-jit) on armel/armhf, as there is a segfault in this
    code on pages that use javascript (the Ubuntu slideshow for example). (LP:
    #1066046)

applied/ubuntu/quantal-updates 2012-11-27 03:03:25 UTC 2012-11-27
Import patches-applied version 1.10.0-0ubuntu1.1 to applied/ubuntu/quantal-pr...

Author: Iain Lane
Author Date: 2012-10-30 13:28:53 UTC

Import patches-applied version 1.10.0-0ubuntu1.1 to applied/ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: e97c1b763df70bd3ff98e315ec361ff09a4b6579
Unapplied parent: e5ba5f236346b6090412a9976d99e927b39daf35

New changelog entries:
  * Disable JIT (--disable-jit) on armel/armhf, as there is a segfault in this
    code on pages that use javascript (the Ubuntu slideshow for example). (LP:
    #1066046)

ubuntu/precise-updates 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-pro...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: d4562fb8d83767c0fddd6b38f43fff42172d0085

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

ubuntu/precise-proposed 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-pro...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: d4562fb8d83767c0fddd6b38f43fff42172d0085

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

applied/ubuntu/precise-devel 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/preci...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 01c58535e2791c0a997c93593d2275113e9ec98d
Unapplied parent: a71d30f84116663e588e9f94178968de0b86dcda

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

applied/ubuntu/precise-proposed 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/preci...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 01c58535e2791c0a997c93593d2275113e9ec98d
Unapplied parent: a71d30f84116663e588e9f94178968de0b86dcda

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

applied/ubuntu/precise-security 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/preci...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 01c58535e2791c0a997c93593d2275113e9ec98d
Unapplied parent: a71d30f84116663e588e9f94178968de0b86dcda

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

applied/ubuntu/precise-updates 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/preci...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-applied version 1.8.3-0ubuntu0.12.04.1 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 01c58535e2791c0a997c93593d2275113e9ec98d
Unapplied parent: a71d30f84116663e588e9f94178968de0b86dcda

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

ubuntu/precise-security 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-pro...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: d4562fb8d83767c0fddd6b38f43fff42172d0085

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

ubuntu/precise-devel 2012-10-16 20:03:14 UTC 2012-10-16
Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-pro...

Author: Micah Gersten
Author Date: 2012-09-28 08:49:48 UTC

Import patches-unapplied version 1.8.3-0ubuntu0.12.04.1 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: d4562fb8d83767c0fddd6b38f43fff42172d0085

New changelog entries:
  * New upstream security release
    - see LP: #1058339 for USN information

applied/ubuntu/quantal 2012-10-02 19:43:06 UTC 2012-10-02
Import patches-applied version 1.10.0-0ubuntu1 to applied/ubuntu/quantal-prop...

Author: Iain Lane
Author Date: 2012-10-02 10:29:09 UTC

Import patches-applied version 1.10.0-0ubuntu1 to applied/ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: 92229836a6f5f1c7063b3a250d3eadb211e76bde
Unapplied parent: 77d6f2ea841d8a74d2379b72408fc0789d4da726

New changelog entries:
  [ Sebastian Bacher ]
  * New upstream version (lp: #1011473)
  * debian/control:
    - build-depends on libgudev-1.0-dev and ruby1.9.1
    - updated libsoup requirement
  * debian/libwebkit*.symbols:
    - updated for the new version
  [ Iain Lane ]
  * Replace -g with -gstabs to try and make archives under 4gb
  * Update symbols files to include new C++ symbols
  * debian/rules
    - Pass -Wl,--reduce-memory-overheads again, for arm.
    - Disable the webkit2 build explicitly (the default changed, this is the
      same as we had before).
  * Version make BD so that we get a version with fixed argument length
    limitations.
  * debian/patches/03_a11y_infinite_recursion.patch: Add new upstream patch
    (r129246) to fix an infinite recursion error in
    WebCore::AXObjectCache::getOrCreate.

ubuntu/quantal 2012-10-02 19:43:06 UTC 2012-10-02
Import patches-unapplied version 1.10.0-0ubuntu1 to ubuntu/quantal-proposed

Author: Iain Lane
Author Date: 2012-10-02 10:29:09 UTC

Import patches-unapplied version 1.10.0-0ubuntu1 to ubuntu/quantal-proposed

Imported using git-ubuntu import.

Changelog parent: a09eac7656e362951ada94174e8e60c57cba7702

New changelog entries:
  [ Sebastian Bacher ]
  * New upstream version (lp: #1011473)
  * debian/control:
    - build-depends on libgudev-1.0-dev and ruby1.9.1
    - updated libsoup requirement
  * debian/libwebkit*.symbols:
    - updated for the new version
  [ Iain Lane ]
  * Replace -g with -gstabs to try and make archives under 4gb
  * Update symbols files to include new C++ symbols
  * debian/rules
    - Pass -Wl,--reduce-memory-overheads again, for arm.
    - Disable the webkit2 build explicitly (the default changed, this is the
      same as we had before).
  * Version make BD so that we get a version with fixed argument length
    limitations.
  * debian/patches/03_a11y_infinite_recursion.patch: Add new upstream patch
    (r129246) to fix an infinite recursion error in
    WebCore::AXObjectCache::getOrCreate.

applied/debian/experimental 2012-05-09 21:29:55 UTC 2012-05-09
Import patches-applied version 1.9.2-1 to applied/debian/experimental

Author: Gustavo Noronha Silva
Author Date: 2012-05-08 15:01:33 UTC

Import patches-applied version 1.9.2-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: c3c2b67c3103c4e71bc25ec07adaeb05c2a32216
Unapplied parent: db2fbcc16a837fd28f1e620fe74fb561ce8b352f

New changelog entries:
  * New development release
  * debian/patches/10_kfreebsd_support.patch:
  - removed; applied upstream
  * debian/rules:
  - disable AR_FLAGS space optimization for now, since linking two libtool
    convenience libraries seems to break that
  * debian/*.symbols:
  - updated with symbols of the new version

debian/experimental 2012-05-09 21:29:55 UTC 2012-05-09
Import patches-unapplied version 1.9.2-1 to debian/experimental

Author: Gustavo Noronha Silva
Author Date: 2012-05-08 15:01:33 UTC

Import patches-unapplied version 1.9.2-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 16e1fdcfce6afda833ca672f26db086f7350ab1d

New changelog entries:
  * New development release
  * debian/patches/10_kfreebsd_support.patch:
  - removed; applied upstream
  * debian/rules:
  - disable AR_FLAGS space optimization for now, since linking two libtool
    convenience libraries seems to break that
  * debian/*.symbols:
  - updated with symbols of the new version

ubuntu/precise 2012-03-30 00:03:56 UTC 2012-03-30
Import patches-unapplied version 1.8.0-0ubuntu2 to ubuntu/precise

Author: Robert Ancell
Author Date: 2012-03-29 23:31:41 UTC

Import patches-unapplied version 1.8.0-0ubuntu2 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: d78c37f8dc0cc31d558a6b5f57151a1234f64fe4

New changelog entries:
  * debian/libwebkitgtk-1.0-0.symbols:
  * debian/libwebkitgtk-3.0-0.symbols:
    - Update symbols

applied/ubuntu/precise 2012-03-30 00:03:56 UTC 2012-03-30
Import patches-applied version 1.8.0-0ubuntu2 to applied/ubuntu/precise

Author: Robert Ancell
Author Date: 2012-03-29 23:31:41 UTC

Import patches-applied version 1.8.0-0ubuntu2 to applied/ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 4fedb7374cbdb5da34cb219b0903e9ba3704d41b
Unapplied parent: 66344d3605e86d564ab1597d8658f280b8758908

New changelog entries:
  * debian/libwebkitgtk-1.0-0.symbols:
  * debian/libwebkitgtk-3.0-0.symbols:
    - Update symbols

debian/squeeze 2012-01-28 15:32:40 UTC 2012-01-28
Import patches-unapplied version 1.2.7-0+squeeze2 to debian/squeeze

Author: Gustavo Noronha Silva
Author Date: 2011-04-09 13:02:05 UTC

Import patches-unapplied version 1.2.7-0+squeeze2 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 2f3cf10a7ab6aea8a0a539be6494ea46b900011a

New changelog entries:
  [ Gustavo Noronha Silva ]
  * debian/patches/06-fix-null-dns-lookups.patch:
  - Avoid doing lots of needless NULL DNS lookups, thanks to Michael
    Gratton <mike@vee.net> for the patch and Simon Paillard
    <spaillard@debian.org> for the investigation (Closes: #578019)

applied/debian/squeeze 2012-01-28 15:32:40 UTC 2012-01-28
Import patches-applied version 1.2.7-0+squeeze2 to applied/debian/squeeze

Author: Gustavo Noronha Silva
Author Date: 2011-04-09 13:02:05 UTC

Import patches-applied version 1.2.7-0+squeeze2 to applied/debian/squeeze

Imported using git-ubuntu import.

Changelog parent: e049d50e1f894ec78f25e7a72392953ad62b2cb1
Unapplied parent: ea2fd340e055e26e32ff84aacbcad4f40b481e03

New changelog entries:
  [ Gustavo Noronha Silva ]
  * debian/patches/06-fix-null-dns-lookups.patch:
  - Avoid doing lots of needless NULL DNS lookups, thanks to Michael
    Gratton <mike@vee.net> for the patch and Simon Paillard
    <spaillard@debian.org> for the investigation (Closes: #578019)

applied/ubuntu/oneiric-proposed 2011-12-15 07:04:12 UTC 2011-12-15
Import patches-applied version 1.4.3-0ubuntu4 to applied/ubuntu/oneiric-proposed

Author: Jason Conti
Author Date: 2011-12-08 02:20:49 UTC

Import patches-applied version 1.4.3-0ubuntu4 to applied/ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 27913449aad780f4c1e3245e03acd236569caf74
Unapplied parent: 9036c49c91db1ab159018e8bc0bda49f41baf461

New changelog entries:
  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)

applied/ubuntu/oneiric-devel 2011-12-15 07:04:12 UTC 2011-12-15
Import patches-applied version 1.4.3-0ubuntu4 to applied/ubuntu/oneiric-proposed

Author: Jason Conti
Author Date: 2011-12-08 02:20:49 UTC

Import patches-applied version 1.4.3-0ubuntu4 to applied/ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 27913449aad780f4c1e3245e03acd236569caf74
Unapplied parent: 9036c49c91db1ab159018e8bc0bda49f41baf461

New changelog entries:
  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)

ubuntu/oneiric-updates 2011-12-15 07:04:12 UTC 2011-12-15
Import patches-unapplied version 1.4.3-0ubuntu4 to ubuntu/oneiric-proposed

Author: Jason Conti
Author Date: 2011-12-08 02:20:49 UTC

Import patches-unapplied version 1.4.3-0ubuntu4 to ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 15c1ad5c75c6654f2be46ccfd5e7e094d50189de

New changelog entries:
  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)

ubuntu/oneiric-proposed 2011-12-15 07:04:12 UTC 2011-12-15
Import patches-unapplied version 1.4.3-0ubuntu4 to ubuntu/oneiric-proposed

Author: Jason Conti
Author Date: 2011-12-08 02:20:49 UTC

Import patches-unapplied version 1.4.3-0ubuntu4 to ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 15c1ad5c75c6654f2be46ccfd5e7e094d50189de

New changelog entries:
  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)

ubuntu/oneiric-devel 2011-12-15 07:04:12 UTC 2011-12-15
Import patches-unapplied version 1.4.3-0ubuntu4 to ubuntu/oneiric-proposed

Author: Jason Conti
Author Date: 2011-12-08 02:20:49 UTC

Import patches-unapplied version 1.4.3-0ubuntu4 to ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 15c1ad5c75c6654f2be46ccfd5e7e094d50189de

New changelog entries:
  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)

applied/ubuntu/oneiric-updates 2011-12-15 07:04:12 UTC 2011-12-15
Import patches-applied version 1.4.3-0ubuntu4 to applied/ubuntu/oneiric-proposed

Author: Jason Conti
Author Date: 2011-12-08 02:20:49 UTC

Import patches-applied version 1.4.3-0ubuntu4 to applied/ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 27913449aad780f4c1e3245e03acd236569caf74
Unapplied parent: 9036c49c91db1ab159018e8bc0bda49f41baf461

New changelog entries:
  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)

applied/ubuntu/oneiric 2011-09-29 23:03:58 UTC 2011-09-29
Import patches-applied version 1.4.3-0ubuntu3 to applied/ubuntu/oneiric

Author: dobey
Author Date: 2011-09-29 18:54:29 UTC

Import patches-applied version 1.4.3-0ubuntu3 to applied/ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: e5d4ddb8320db8f39772f18f83d2684da3e59eae
Unapplied parent: e0fcd7143b39e12d9f1e56c43b28991f3208a642

New changelog entries:
  * debian/patches/10_cherrypick_r95940.patch:
    - Avoid crashing on scrollbar unparent/reparent (LP: #851044)

ubuntu/oneiric 2011-09-29 23:03:58 UTC 2011-09-29
Import patches-unapplied version 1.4.3-0ubuntu3 to ubuntu/oneiric

Author: dobey
Author Date: 2011-09-29 18:54:29 UTC

Import patches-unapplied version 1.4.3-0ubuntu3 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 59ba8c0d894b5c841a4eb9a4565cc8251431fb9b

New changelog entries:
  * debian/patches/10_cherrypick_r95940.patch:
    - Avoid crashing on scrollbar unparent/reparent (LP: #851044)

ubuntu/lucid-devel 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-unapplied version 1.2.7-0ubuntu0.10.04.1 to ubuntu/lucid-security

Author: Micah Gersten
Author Date: 2011-07-22 08:00:58 UTC

Import patches-unapplied version 1.2.7-0ubuntu0.10.04.1 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 933794149c4150d37daca2c4a07963cb41fc4f57

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/lucid-devel 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-applied version 1.2.7-0ubuntu0.10.04.1 to applied/ubuntu/lucid...

Author: Micah Gersten
Author Date: 2011-07-22 08:00:58 UTC

Import patches-applied version 1.2.7-0ubuntu0.10.04.1 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 753a6dca7229c3532ef87b763bb0f330445e833d
Unapplied parent: 1688174cf0bccef1e6428f004e120ba16cfc2bf0

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/lucid-security 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-applied version 1.2.7-0ubuntu0.10.04.1 to applied/ubuntu/lucid...

Author: Micah Gersten
Author Date: 2011-07-22 08:00:58 UTC

Import patches-applied version 1.2.7-0ubuntu0.10.04.1 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 753a6dca7229c3532ef87b763bb0f330445e833d
Unapplied parent: 1688174cf0bccef1e6428f004e120ba16cfc2bf0

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/lucid-updates 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-applied version 1.2.7-0ubuntu0.10.04.1 to applied/ubuntu/lucid...

Author: Micah Gersten
Author Date: 2011-07-22 08:00:58 UTC

Import patches-applied version 1.2.7-0ubuntu0.10.04.1 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 753a6dca7229c3532ef87b763bb0f330445e833d
Unapplied parent: 1688174cf0bccef1e6428f004e120ba16cfc2bf0

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/maverick-devel 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-applied version 1.2.7-0ubuntu0.10.10.1 to applied/ubuntu/maver...

Author: Micah Gersten
Author Date: 2011-07-22 21:52:59 UTC

Import patches-applied version 1.2.7-0ubuntu0.10.10.1 to applied/ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 1cb345e28ba2b2e3ee4cab8d1dd4a07312b5391c
Unapplied parent: 1e5cc52cd580500237c0475e9d42092317335991

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/maverick-security 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-applied version 1.2.7-0ubuntu0.10.10.1 to applied/ubuntu/maver...

Author: Micah Gersten
Author Date: 2011-07-22 21:52:59 UTC

Import patches-applied version 1.2.7-0ubuntu0.10.10.1 to applied/ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 1cb345e28ba2b2e3ee4cab8d1dd4a07312b5391c
Unapplied parent: 1e5cc52cd580500237c0475e9d42092317335991

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/maverick-updates 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-applied version 1.2.7-0ubuntu0.10.10.1 to applied/ubuntu/maver...

Author: Micah Gersten
Author Date: 2011-07-22 21:52:59 UTC

Import patches-applied version 1.2.7-0ubuntu0.10.10.1 to applied/ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 1cb345e28ba2b2e3ee4cab8d1dd4a07312b5391c
Unapplied parent: 1e5cc52cd580500237c0475e9d42092317335991

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

ubuntu/maverick-updates 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-unapplied version 1.2.7-0ubuntu0.10.10.1 to ubuntu/maverick-se...

Author: Micah Gersten
Author Date: 2011-07-22 21:52:59 UTC

Import patches-unapplied version 1.2.7-0ubuntu0.10.10.1 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 3b2aeafb34deab50c9ba513f63432f8101dcdfb8

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

ubuntu/maverick-security 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-unapplied version 1.2.7-0ubuntu0.10.10.1 to ubuntu/maverick-se...

Author: Micah Gersten
Author Date: 2011-07-22 21:52:59 UTC

Import patches-unapplied version 1.2.7-0ubuntu0.10.10.1 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 3b2aeafb34deab50c9ba513f63432f8101dcdfb8

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

ubuntu/maverick-devel 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-unapplied version 1.2.7-0ubuntu0.10.10.1 to ubuntu/maverick-se...

Author: Micah Gersten
Author Date: 2011-07-22 21:52:59 UTC

Import patches-unapplied version 1.2.7-0ubuntu0.10.10.1 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 3b2aeafb34deab50c9ba513f63432f8101dcdfb8

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

ubuntu/lucid-updates 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-unapplied version 1.2.7-0ubuntu0.10.04.1 to ubuntu/lucid-security

Author: Micah Gersten
Author Date: 2011-07-22 08:00:58 UTC

Import patches-unapplied version 1.2.7-0ubuntu0.10.04.1 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 933794149c4150d37daca2c4a07963cb41fc4f57

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

ubuntu/lucid-security 2011-08-23 06:03:33 UTC 2011-08-23
Import patches-unapplied version 1.2.7-0ubuntu0.10.04.1 to ubuntu/lucid-security

Author: Micah Gersten
Author Date: 2011-07-22 08:00:58 UTC

Import patches-unapplied version 1.2.7-0ubuntu0.10.04.1 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 933794149c4150d37daca2c4a07963cb41fc4f57

New changelog entries:
  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch

applied/ubuntu/natty 2011-04-20 10:04:46 UTC 2011-04-20
Import patches-applied version 1.3.13-0ubuntu2 to applied/ubuntu/natty

Author: Rodrigo Moya
Author Date: 2011-04-20 08:26:39 UTC

Import patches-applied version 1.3.13-0ubuntu2 to applied/ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: bdc23c130b10d3d311bb19c4a78fc2a694ae07cd
Unapplied parent: ce359dbba50d5bf51e4c3d360a7c9995a67d44ed

New changelog entries:
  * debian/patches/04_fix_header_for_strict.patch:
    - Add upstream patch to fix headers for compilation with strict mode

ubuntu/natty-devel 2011-04-20 10:04:46 UTC 2011-04-20
Import patches-unapplied version 1.3.13-0ubuntu2 to ubuntu/natty

Author: Rodrigo Moya
Author Date: 2011-04-20 08:26:39 UTC

Import patches-unapplied version 1.3.13-0ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 54b161cafa0dbad94e2eea9177e2e1ee04ebe94d

New changelog entries:
  * debian/patches/04_fix_header_for_strict.patch:
    - Add upstream patch to fix headers for compilation with strict mode

ubuntu/natty 2011-04-20 10:04:46 UTC 2011-04-20
Import patches-unapplied version 1.3.13-0ubuntu2 to ubuntu/natty

Author: Rodrigo Moya
Author Date: 2011-04-20 08:26:39 UTC

Import patches-unapplied version 1.3.13-0ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 54b161cafa0dbad94e2eea9177e2e1ee04ebe94d

New changelog entries:
  * debian/patches/04_fix_header_for_strict.patch:
    - Add upstream patch to fix headers for compilation with strict mode

applied/ubuntu/natty-devel 2011-04-20 10:04:46 UTC 2011-04-20
Import patches-applied version 1.3.13-0ubuntu2 to applied/ubuntu/natty

Author: Rodrigo Moya
Author Date: 2011-04-20 08:26:39 UTC

Import patches-applied version 1.3.13-0ubuntu2 to applied/ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: bdc23c130b10d3d311bb19c4a78fc2a694ae07cd
Unapplied parent: ce359dbba50d5bf51e4c3d360a7c9995a67d44ed

New changelog entries:
  * debian/patches/04_fix_header_for_strict.patch:
    - Add upstream patch to fix headers for compilation with strict mode

ubuntu/karmic-proposed 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 2d354a27ce1459906bbfc8f847c07cf69203645d

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

ubuntu/maverick-proposed 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-unapplied version 1.2.5-0ubuntu0.10.10.1 to ubuntu/maverick-pr...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:43:51 UTC

Import patches-unapplied version 1.2.5-0ubuntu0.10.10.1 to ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: 2d354a27ce1459906bbfc8f847c07cf69203645d

New changelog entries:
  * SECURITY UPDATE: Updated to new stable release 1.2.5 to fix multiple
    security issues. (LP: #660075)
    - CVE-2010-1780
    - CVE-2010-1807
    - CVE-2010-1812
    - CVE-2010-1814
    - CVE-2010-1815
    - CVE-2010-3113
    - CVE-2010-3114
    - CVE-2010-3115
    - CVE-2010-3116
    - CVE-2010-3257
    - CVE-2010-3259

ubuntu/karmic-security 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 2d354a27ce1459906bbfc8f847c07cf69203645d

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

ubuntu/karmic-updates 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 2d354a27ce1459906bbfc8f847c07cf69203645d

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

ubuntu/lucid-proposed 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-unapplied version 1.2.5-0ubuntu0.10.04.1 to ubuntu/lucid-proposed

Author: Marc Deslauriers
Author Date: 2010-10-13 17:39:02 UTC

Import patches-unapplied version 1.2.5-0ubuntu0.10.04.1 to ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 2d354a27ce1459906bbfc8f847c07cf69203645d

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for lucid to fix
    multiple security issues. (LP: #660075)
     - CVE-2010-1386, CVE-2010-1392, CVE-2010-1405, CVE-2010-1407
     - CVE-2010-1412, CVE-2010-1416, CVE-2010-1417, CVE-2010-1418
     - CVE-2010-1419, CVE-2010-1421, CVE-2010-1422, CVE-2010-1501
     - CVE-2010-1664, CVE-2010-1665, CVE-2010-1758, CVE-2010-1759
     - CVE-2010-1760, CVE-2010-1761, CVE-2010-1762, CVE-2010-1767
     - CVE-2010-1770, CVE-2010-1771, CVE-2010-1772, CVE-2010-1773
     - CVE-2010-1774, CVE-2010-1780, CVE-2010-1781, CVE-2010-1782
     - CVE-2010-1783, CVE-2010-1784, CVE-2010-1785, CVE-2010-1786
     - CVE-2010-1787, CVE-2010-1788, CVE-2010-1790, CVE-2010-1792
     - CVE-2010-1793, CVE-2010-1807, CVE-2010-1812, CVE-2010-1814
     - CVE-2010-1815, CVE-2010-2264, CVE-2010-2647, CVE-2010-2648
     - CVE-2010-3113, CVE-2010-3114, CVE-2010-3115, CVE-2010-3116
     - CVE-2010-3248, CVE-2010-3257, CVE-2010-3259
  * debian/patches/ubuntu-gir-version.patch: removed for lucid
  * debian/control: add gir-repository-dev back to build-depends for lucid

applied/ubuntu/maverick-proposed 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-applied version 1.2.5-0ubuntu0.10.10.1 to applied/ubuntu/maver...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:43:51 UTC

Import patches-applied version 1.2.5-0ubuntu0.10.10.1 to applied/ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: 63347608bb744332fd81dd4ae14ed6a8d0684f70
Unapplied parent: f31dbcf237c20a797d7d689405f811edc85ccc1a

New changelog entries:
  * SECURITY UPDATE: Updated to new stable release 1.2.5 to fix multiple
    security issues. (LP: #660075)
    - CVE-2010-1780
    - CVE-2010-1807
    - CVE-2010-1812
    - CVE-2010-1814
    - CVE-2010-1815
    - CVE-2010-3113
    - CVE-2010-3114
    - CVE-2010-3115
    - CVE-2010-3116
    - CVE-2010-3257
    - CVE-2010-3259

applied/ubuntu/lucid-proposed 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-applied version 1.2.5-0ubuntu0.10.04.1 to applied/ubuntu/lucid...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:39:02 UTC

Import patches-applied version 1.2.5-0ubuntu0.10.04.1 to applied/ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 63347608bb744332fd81dd4ae14ed6a8d0684f70
Unapplied parent: ea2202e9a09c7daa4e2ecd0cf3ef3f9cc70c869b

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for lucid to fix
    multiple security issues. (LP: #660075)
     - CVE-2010-1386, CVE-2010-1392, CVE-2010-1405, CVE-2010-1407
     - CVE-2010-1412, CVE-2010-1416, CVE-2010-1417, CVE-2010-1418
     - CVE-2010-1419, CVE-2010-1421, CVE-2010-1422, CVE-2010-1501
     - CVE-2010-1664, CVE-2010-1665, CVE-2010-1758, CVE-2010-1759
     - CVE-2010-1760, CVE-2010-1761, CVE-2010-1762, CVE-2010-1767
     - CVE-2010-1770, CVE-2010-1771, CVE-2010-1772, CVE-2010-1773
     - CVE-2010-1774, CVE-2010-1780, CVE-2010-1781, CVE-2010-1782
     - CVE-2010-1783, CVE-2010-1784, CVE-2010-1785, CVE-2010-1786
     - CVE-2010-1787, CVE-2010-1788, CVE-2010-1790, CVE-2010-1792
     - CVE-2010-1793, CVE-2010-1807, CVE-2010-1812, CVE-2010-1814
     - CVE-2010-1815, CVE-2010-2264, CVE-2010-2647, CVE-2010-2648
     - CVE-2010-3113, CVE-2010-3114, CVE-2010-3115, CVE-2010-3116
     - CVE-2010-3248, CVE-2010-3257, CVE-2010-3259
  * debian/patches/ubuntu-gir-version.patch: removed for lucid
  * debian/control: add gir-repository-dev back to build-depends for lucid

applied/ubuntu/karmic-security 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 63347608bb744332fd81dd4ae14ed6a8d0684f70
Unapplied parent: a10ae8994926659246610c132341eb7ffdbede12

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

applied/ubuntu/karmic-updates 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 63347608bb744332fd81dd4ae14ed6a8d0684f70
Unapplied parent: a10ae8994926659246610c132341eb7ffdbede12

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

applied/ubuntu/karmic-proposed 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 63347608bb744332fd81dd4ae14ed6a8d0684f70
Unapplied parent: a10ae8994926659246610c132341eb7ffdbede12

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

applied/ubuntu/karmic-devel 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic...

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-applied version 1.2.5-0ubuntu0.9.10.1 to applied/ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 63347608bb744332fd81dd4ae14ed6a8d0684f70
Unapplied parent: a10ae8994926659246610c132341eb7ffdbede12

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

ubuntu/karmic-devel 2010-10-15 14:05:50 UTC 2010-10-15
Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Author: Marc Deslauriers
Author Date: 2010-10-13 17:23:26 UTC

Import patches-unapplied version 1.2.5-0ubuntu0.9.10.1 to ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 2d354a27ce1459906bbfc8f847c07cf69203645d

New changelog entries:
  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.

applied/ubuntu/maverick 2010-09-06 16:05:27 UTC 2010-09-06
Import patches-applied version 1.2.4-1ubuntu1 to applied/ubuntu/maverick

Author: Sebastien Bacher
Author Date: 2010-09-06 14:48:11 UTC

Import patches-applied version 1.2.4-1ubuntu1 to applied/ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 4d3b027340e9446a39ff3028a539f7742f00c832
Unapplied parent: fda3cde9039860280a7520c0d2c18f2a63031853

New changelog entries:
  * Resync on Debian,
    remaining changes:
  * debian/control:
    - don't build-depends on gir-repository-dev it's not required
  * debian/patches/ubuntu-gir-version.patch:
    - use the current gobject introspection abi

ubuntu/maverick 2010-09-06 16:05:27 UTC 2010-09-06
Import patches-unapplied version 1.2.4-1ubuntu1 to ubuntu/maverick

Author: Sebastien Bacher
Author Date: 2010-09-06 14:48:11 UTC

Import patches-unapplied version 1.2.4-1ubuntu1 to ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 0840e06adde3a925f96f358370adf8393112d498

New changelog entries:
  * Resync on Debian,
    remaining changes:
  * debian/control:
    - don't build-depends on gir-repository-dev it's not required
  * debian/patches/ubuntu-gir-version.patch:
    - use the current gobject introspection abi

ubuntu/lucid 2010-04-08 14:21:21 UTC 2010-04-08
Import patches-unapplied version 1.2.0-1 to debian/sid

Author: Gustavo Noronha Silva
Author Date: 2010-04-07 23:18:57 UTC

Import patches-unapplied version 1.2.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0edeb30660602d1b2db2fcee7e50d0a0d34ec452

New changelog entries:
  * New upstream release - this is the first release in the 1.2 stable
    branch

applied/ubuntu/lucid 2010-04-08 14:21:21 UTC 2010-04-08
Import patches-applied version 1.2.0-1 to applied/debian/sid

Author: Gustavo Noronha Silva
Author Date: 2010-04-07 23:18:57 UTC

Import patches-applied version 1.2.0-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 5d74514dc218e77ad073ede7bdf8a4aa509c953b
Unapplied parent: 0c2ee8feca27dc575cd6e64e599517943b432e8d

New changelog entries:
  * New upstream release - this is the first release in the 1.2 stable
    branch

debian/lenny 2010-01-30 15:15:39 UTC 2010-01-30
Import patches-unapplied version 1.0.1-4+lenny2 to debian/lenny

Author: Giuseppe Iuculano
Author Date: 2009-12-10 19:41:40 UTC

Import patches-unapplied version 1.0.1-4+lenny2 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: c5d8bae5d9e0f26e928bccdb03a580af931c7142

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Fixed FTBFS on arm and powerpc: include limits.h for a definition of
    ULONG_MAX introduced in CVE-2009-1687 patch.
  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-0945: NULL-pointer dereference in the SVGList interface
    implementation (Closes: #532724, #532725)
  * Fixed CVE-2009-1687: Integer overflow in JavaScript garbage collector
  * Fixed CVE-2009-1690: Incorrect handling <head> element content once the
    <head> element was removed
  * Fixed CVE-2009-1698: incorrect handling CSS "style" attribute content
  * Fixed CVE-2009-1711: denial of service or arbitrary code execution via
    Attr DOM objects improper memory initialization. (Closes: #534946)
  * Fixed CVE-2009-1712: arbitrary code execution via remote loading of
    local java applets. (Closes: #535793)
  * Fixed CVE-2009-1725: improper handling of numeric character references
    (Closes: #538346)
  * Patch based on work done by Marc Deslauriers <marc.deslauriers@ubuntu.com>
    in Ubuntu, thanks.
  * Fixed CVE-2009-1714: Cross-site scripting (XSS) vulnerability in Web
    Inspector
  * Fixed CVE-2009-1710: Remote attackers can spoof the browser's display of
    the host name, security indicators, and unspecified other UI elements via
    a custom cursor in conjunction with a modified CSS3 hotspot property.
  * Fixed CVE-2009-1697: CRLF injection vulnerability allows remote attackers
    to inject HTTP headers and bypass the Same Origin Policy via a crafted
    HTML document
  * Fixed CVE-2009-1695: Cross-site scripting (XSS) vulnerability allows remote
    attackers to inject arbitrary web script or HTML via vectors involving
    access to frame contents after completion of a page transition.
  * Fixed CVE-2009-1693 and CVE-2009-1694: does not properly handle redirects,
    which allows remote attackers to read images from arbitrary web sites via
    vectors involving a CANVAS element and redirection
  * Fixed CVE-2009-1681: does not prevent web sites from loading third-party
    content into a subframe, which allows remote attackers to bypass the Same
    Origin Policy and conduct "clickjacking" attacks via a crafted HTML
    document.
  * Fixed CVE-2009-1684: Cross-site scripting (XSS) vulnerability allows remote
    attackers to inject arbitrary web script or HTML via an event handler that
    triggers script execution in the context of the next loaded document.
  * Fixed CVE-2009-1692: denial of service (memory consumption or device reset)
    via a web page containing an HTMLSelectElement object with a large length
    attribute, related to the length property of a Select object.

applied/debian/lenny 2010-01-30 15:15:39 UTC 2010-01-30
Import patches-applied version 1.0.1-4+lenny2 to applied/debian/lenny

Author: Giuseppe Iuculano
Author Date: 2009-12-10 19:41:40 UTC

Import patches-applied version 1.0.1-4+lenny2 to applied/debian/lenny

Imported using git-ubuntu import.

Changelog parent: 02b2b856ff20128af14011e2266b66d15509c525
Unapplied parent: 461bbc4e72f261dd9bc79cf4f9f86b0fcae4e1ac

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Fixed FTBFS on arm and powerpc: include limits.h for a definition of
    ULONG_MAX introduced in CVE-2009-1687 patch.
  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-0945: NULL-pointer dereference in the SVGList interface
    implementation (Closes: #532724, #532725)
  * Fixed CVE-2009-1687: Integer overflow in JavaScript garbage collector
  * Fixed CVE-2009-1690: Incorrect handling <head> element content once the
    <head> element was removed
  * Fixed CVE-2009-1698: incorrect handling CSS "style" attribute content
  * Fixed CVE-2009-1711: denial of service or arbitrary code execution via
    Attr DOM objects improper memory initialization. (Closes: #534946)
  * Fixed CVE-2009-1712: arbitrary code execution via remote loading of
    local java applets. (Closes: #535793)
  * Fixed CVE-2009-1725: improper handling of numeric character references
    (Closes: #538346)
  * Patch based on work done by Marc Deslauriers <marc.deslauriers@ubuntu.com>
    in Ubuntu, thanks.
  * Fixed CVE-2009-1714: Cross-site scripting (XSS) vulnerability in Web
    Inspector
  * Fixed CVE-2009-1710: Remote attackers can spoof the browser's display of
    the host name, security indicators, and unspecified other UI elements via
    a custom cursor in conjunction with a modified CSS3 hotspot property.
  * Fixed CVE-2009-1697: CRLF injection vulnerability allows remote attackers
    to inject HTTP headers and bypass the Same Origin Policy via a crafted
    HTML document
  * Fixed CVE-2009-1695: Cross-site scripting (XSS) vulnerability allows remote
    attackers to inject arbitrary web script or HTML via vectors involving
    access to frame contents after completion of a page transition.
  * Fixed CVE-2009-1693 and CVE-2009-1694: does not properly handle redirects,
    which allows remote attackers to read images from arbitrary web sites via
    vectors involving a CANVAS element and redirection
  * Fixed CVE-2009-1681: does not prevent web sites from loading third-party
    content into a subframe, which allows remote attackers to bypass the Same
    Origin Policy and conduct "clickjacking" attacks via a crafted HTML
    document.
  * Fixed CVE-2009-1684: Cross-site scripting (XSS) vulnerability allows remote
    attackers to inject arbitrary web script or HTML via an event handler that
    triggers script execution in the context of the next loaded document.
  * Fixed CVE-2009-1692: denial of service (memory consumption or device reset)
    via a web page containing an HTMLSelectElement object with a large length
    attribute, related to the length property of a Select object.

applied/ubuntu/karmic 2009-10-07 13:19:13 UTC 2009-10-07
Import patches-applied version 1.1.15.2-1 to applied/debian/sid

Author: Gustavo Noronha Silva
Author Date: 2009-10-06 20:17:08 UTC

Import patches-applied version 1.1.15.2-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 0820e825209c00b86c22dea59cfda60694584da6
Unapplied parent: 3252e52b870ad3596559da4202ca9e80ab59385b

New changelog entries:
  * New upstream (semi-stable) release
  * Fix building on IA64 (Closes: #547797)
    Thanks to Colin Watson <cjwatson@ubuntu.com>
  * Fix building on alpha (Closes: #548499)
  * Fix building on amd64 FreeBSD

ubuntu/karmic 2009-10-07 13:19:13 UTC 2009-10-07
Import patches-unapplied version 1.1.15.2-1 to debian/sid

Author: Gustavo Noronha Silva
Author Date: 2009-10-06 20:17:08 UTC

Import patches-unapplied version 1.1.15.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9ab7d4db112d0b1b11feaaeedbffa67750afa1cd

New changelog entries:
  * New upstream (semi-stable) release
  * Fix building on IA64 (Closes: #547797)
    Thanks to Colin Watson <cjwatson@ubuntu.com>
  * Fix building on alpha (Closes: #548499)
  * Fix building on amd64 FreeBSD

ubuntu/intrepid-updates 2009-09-23 13:05:38 UTC 2009-09-23
Import patches-unapplied version 1.0.1-2ubuntu0.2 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2009-09-22 12:49:07 UTC

Import patches-unapplied version 1.0.1-2ubuntu0.2 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: bdf035af3757c841664335d5e291bfab923faf91

New changelog entries:
  * SECURITY UPDATE: remote code execution via document with a SVGPathList
    data structure containing a negative index.
    - WebCore/svg/SVGList.h: make sure index is valid.
    - http://trac.webkit.org/changeset/43590
    - CVE-2009-0945
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    JavaScript garbage collector allocation failures.
    - JavaScriptCore/kjs/collector.cpp: make sure numBlocks is valid.
    - http://trac.webkit.org/changeset/41854
    - CVE-2009-1687
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    use-after-free.
    - WebCore/html/HTMLParser.{cpp,h}: Fix incorrect handling of the head
      element.
    - http://trac.webkit.org/changeset/42532
    - CVE-2009-1690
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    attr function call with a large numerical argument.
    - WebCore/css/{CSSParser,CSSPrimitiveValue}.cpp: fix attr handling.
    - http://trac.webkit.org/changeset/42081
    - CVE-2009-1698
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    Attr DOM objects improper memory initialization.
    - WebCore/css/CSSStyleSelector.cpp, WebCore/dom/{Attribute.h,
      MappedAttribute.h,NamedMappedAttrMap.cpp,StyledElement.cpp},
      WebCore/html/HTMLInputElement.cpp, WebCore/svg/{SVGStyledElement,
      SVGForeignObjectElement}.cpp: introduce and use isMappedAttribute().
    - http://trac.webkit.org/changeset/36918
    - CVE-2009-1711
  * SECURITY UPDATE: arbitrary code execution via remote loading of
    local java applets.
    - WebCore/html/HTMLAppletElement.cpp, WebCore/loader/FrameLoader.cpp:
      Use same rule for loading java applets as webkit does for images.
    - http://trac.webkit.org/changeset/41568
    - CVE-2009-1712
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    numeric character references.
    - WebCore/html/HTMLTokenizer.cpp: increase size of checkBuffer()
    - http://trac.webkit.org/changeset/44799
    - CVE-2009-1725

ubuntu/intrepid-security 2009-09-23 13:05:38 UTC 2009-09-23
Import patches-unapplied version 1.0.1-2ubuntu0.2 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2009-09-22 12:49:07 UTC

Import patches-unapplied version 1.0.1-2ubuntu0.2 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: bdf035af3757c841664335d5e291bfab923faf91

New changelog entries:
  * SECURITY UPDATE: remote code execution via document with a SVGPathList
    data structure containing a negative index.
    - WebCore/svg/SVGList.h: make sure index is valid.
    - http://trac.webkit.org/changeset/43590
    - CVE-2009-0945
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    JavaScript garbage collector allocation failures.
    - JavaScriptCore/kjs/collector.cpp: make sure numBlocks is valid.
    - http://trac.webkit.org/changeset/41854
    - CVE-2009-1687
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    use-after-free.
    - WebCore/html/HTMLParser.{cpp,h}: Fix incorrect handling of the head
      element.
    - http://trac.webkit.org/changeset/42532
    - CVE-2009-1690
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    attr function call with a large numerical argument.
    - WebCore/css/{CSSParser,CSSPrimitiveValue}.cpp: fix attr handling.
    - http://trac.webkit.org/changeset/42081
    - CVE-2009-1698
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    Attr DOM objects improper memory initialization.
    - WebCore/css/CSSStyleSelector.cpp, WebCore/dom/{Attribute.h,
      MappedAttribute.h,NamedMappedAttrMap.cpp,StyledElement.cpp},
      WebCore/html/HTMLInputElement.cpp, WebCore/svg/{SVGStyledElement,
      SVGForeignObjectElement}.cpp: introduce and use isMappedAttribute().
    - http://trac.webkit.org/changeset/36918
    - CVE-2009-1711
  * SECURITY UPDATE: arbitrary code execution via remote loading of
    local java applets.
    - WebCore/html/HTMLAppletElement.cpp, WebCore/loader/FrameLoader.cpp:
      Use same rule for loading java applets as webkit does for images.
    - http://trac.webkit.org/changeset/41568
    - CVE-2009-1712
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    numeric character references.
    - WebCore/html/HTMLTokenizer.cpp: increase size of checkBuffer()
    - http://trac.webkit.org/changeset/44799
    - CVE-2009-1725

1100 of 124 results

Other repositories

Name Last Modified
lp:ubuntu/+source/webkit 2018-03-16
11 of 1 result
You can't create new repositories for webkit in Ubuntu.